--[[

A frame by frame bird animation example
The old frame is removed by Sprite:removeChild and the new frame is added by Sprite:addChild

This code is MIT licensed, see http://www.opensource.org/licenses/mit-license.php
(C) 2010 - 2011 Gideros Mobile 

]]

-- load texture, create bitmap from it and set as background
local background = Bitmap.new(Texture.new("sky_world.png"))
--stage:addChild(background)

-- these arrays contain the image file names of each frame
local frames1 = {
	"bird_black_01.png",
	"bird_black_02.png",
	"bird_black_03.png"}

local frames2 = {
	"bird_white_01.png",
	"bird_white_02.png",
	"bird_white_03.png"}

-- create 2 white and 2 black birds

--[[
local bird1 = Bird.new(frames1)
local bird2 = Bird.new(frames1)
local bird3 = Bird.new(frames2)
local bird4 = Bird.new(frames2)

-- add birds to the stage
stage:addChild(bird1)
stage:addChild(bird2)
stage:addChild(bird3)
stage:addChild(bird4)
]]


local texture = Texture.new("bird_black_01.png", true)

local w, h = texture:getWidth(), texture:getHeight()

local bird1 = Bitmap.new(texture) 
---[[
local rt = RenderTarget.new(100,100)

local region = TextureRegion.new(rt,0, 0, w, h)   --(texture)   --

local bird = Bitmap.new(region)

region:setRegion(20,-30, w, h)
bird:setTextureRegion(region)

bird:setPosition(application:getContentWidth()/2, application:getContentHeight()/2)

rt:clear(0x000000, 0.5)
rt:draw(bird1)

stage:addChild(bird)

local startX, startY

stage:addEventListener(Event.MOUSE_DOWN, function(event) 
	startX, startY = event.x, event.y
	
end)

stage:addEventListener(Event.MOUSE_MOVE, function(event) 
	local dx, dy = event.x - startX, event.y - startY
	
	startX = event.x
	startY = event.y
	
	
	--local x, y = bird1:getPosition()
	
	--print(x, y)
	
	--bird1:setPosition(x + dx, y + dy)
	
	
	--rt:clear(0x000000, 1)
	--rt:draw(bird1)
	
	local x, y, w, h = region:getRegion()
	
	x = x - dx
	y = y - dy
	
	region:setRegion(x, y, w, h)
	
	bird:setTextureRegion(region)
end)
--]]

--[[
local s = Sprite.new()

s:setClip(0,0,100,100)

s:setPosition(application:getContentWidth()/2, application:getContentHeight()/2)

s:addChild(bird1)

stage:addChild(s)


local startX, startY

stage:addEventListener(Event.MOUSE_DOWN, function(event) 
	startX, startY = event.x, event.y
	
end)

stage:addEventListener(Event.MOUSE_MOVE, function(event) 
	local dx, dy = event.x - startX,  event.y - startY
	
	startX = event.x
	startY = event.y
	
	local x, y = bird1:getPosition()
	
	print(x, y)
	
	bird1:setPosition(x + dx, y + dy)
end)
--]]









